Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class FormView.MouseEventListener

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.text.html.FormView.MouseEventListener

All Implemented Interfaces:
  EventListener, MouseListener

Enclosing class:
  FormView

protected class FormView.MouseEventListener
extends MouseAdapter

MouseEventListener class to handle form submissions when an input with type equal to image is clicked on. A MouseListener is necessary since along with the image data the coordinates associated with the mouse click need to be submitted.

Constructor Summary
`protected` | `FormView.MouseEventListener()`

Method Summary
`void` | `mouseReleased(MouseEvent evt)` Invoked when a mouse button has been released on a component.

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mousePressed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormView.MouseEventListener

    protected FormView.MouseEventListener()

Method Detail

### mouseReleased

    public void mouseReleased(MouseEvent evt)

  Description copied from class: `MouseAdapter`
  Invoked when a mouse button has been released on a component.
  Overrides:
    `mouseReleased` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.